org.apache.maven.monitor.event

## Interface EventDispatcher

- All Known Implementing Classes:
    DefaultEventDispatcher

      public interface EventDispatcher

  Author:
    jdcasey

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventMonitor(EventMonitor monitor)`
    `void` | `dispatchEnd(java.lang.String event, java.lang.String target)`
    `void` | `dispatchError(java.lang.String event, java.lang.String target, java.lang.Throwable cause)`
    `void` | `dispatchStart(java.lang.String event, java.lang.String target)`

- - ### Method Detail

    - #### addEventMonitor

          void addEventMonitor(EventMonitor monitor)

    - #### dispatchStart

          void dispatchStart(java.lang.String event,
                           java.lang.String target)

    - #### dispatchEnd

          void dispatchEnd(java.lang.String event,
                         java.lang.String target)

    - #### dispatchError

          void dispatchError(java.lang.String event,
                           java.lang.String target,
                           java.lang.Throwable cause)